package com.benyanyi.permissionlib.callback;

/**
 * @author YanYi
 * @date 2019/5/23 09:48
 * @email ben@yanyi.red
 * @overview
 */
public abstract class PermissionCallBack {
    /**
     * 拥有所有权限
     */
    public abstract void onSuccess();

    /**
     * 没有拥有所有权限
     *
     * @param failurePermissions 未获取到的权限
     */
    public void onFailure(String[] failurePermissions) {
    }

    /**
     * 申请权限后执行该操作，不管有没有获取到所有权限
     */
    public void onComplete() {
    }
}
